## int v24SetRTS

## (v24_port_t* port, int NewState )

## Documentation

> Set the state of the RTS line according to the parameter `NewState`. If `NewsState` is `0` the RTS signal is unset, otherwise it is set. This is only allowed, if the port don't use hardware handshaking. This means, v24OpenPort isn't called with `V24_RTS_CTS`. If hardware handshaking is used while calling this function, it aborts and returns `V24_E_ILLPARM` as error.

> The values returned are: `V24_E_OK`, `V24_E_ILLHANDLE`, `V24_E_ILLPARM`, `V24_E_NOT_IMPLEMENTED`.

Parameters:
  port - pointer to handle of the opened port.
  NewState - the new state to set DTR to.
Returns:
  (int) the `V24_*` error code.

Alphabetic index

This page was generated with the help of DOC++.